Public Member Functions

# wxSocketOutputStream Class Reference
[Networking, Streams]

`#include <wx/sckstrm.h>`

Inheritance diagram for wxSocketOutputStream:
[legend]

## Detailed Description

This class implements an output stream which writes data from a connected socket.

Note that this stream is purely sequential and it does not support seeking.

##

Library: wxNet
Category: Networking, Streams

See also:
  wxSocketBase

## Public Member Functions
| wxSocketOutputStream (wxSocketBase &s)
| Creates a new write-only socket stream using the specified initialized socket connection.

List of all members.

## Constructor & Destructor Documentation

wxSocketOutputStream::wxSocketOutputStream | ( | wxSocketBase & | s | ) |

Creates a new write-only socket stream using the specified initialized socket connection.

|  | [ top ]